﻿using Syncfusion.UI.Xaml.Charts;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Collections.Specialized;
using System.ComponentModel;
using System.Diagnostics;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections;

namespace Sample1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            //We have added buy values in 0th index. 
            var buys = (int)viewModel.Data[0].TotalBuys;

            Random rd = new Random();
            double y1;

            for (int i = 0; i < 6; i++)
            {

                //Set each buy value
                if (buys > 0)
                    y1 = rd.Next(0, buys);
                else
                    y1 = rd.Next(buys, 0);

                LineAnnotation line = new LineAnnotation()
                {
                    X1 = 2.6,//We have set jan month in 3rd index, so that we have set mid point for X1 and X2
                    X2 = 3.4,
                    Y1 = y1,
                    Y2 = y1,
                    Stroke = new SolidColorBrush(Colors.White)
                };

                chart.Annotations.Add(line);
            }
        }
    }

    public class Model
    {
        public string Month { get; set; }
        public double TotalBuys { get; set; }
        public double Sells { get; set; }
        public double Income { get; set; }

        public double Expenses { get; set; }
    }

    public class ViewModel
    {
        public ViewModel()
        {
            GenerateData();           
        }

        public void GenerateData()
        {
            Data = new ObservableCollection<Model>();
            Data1 = new ObservableCollection<Model>();

            string[] months = new string[] {"Oct", "Nov","Dec","Jan","Feb","Mar" };
            Random rd = new Random();

            for (int i = 0; i < 6; i++)
            {
                Data.Add(new Model()
                {
                    Month = months[i],
                    Expenses = rd.Next(-50, 50),
                    Sells = rd.Next(-50, 50),
                    Income = rd.Next(-50, 50),
                    TotalBuys = rd.Next(-50, 50)
                });

            }
        }

        private ObservableCollection<Model> data;

        public ObservableCollection<Model> Data
        {
            get { return data; }
            set { data = value;  }
        }

        public ObservableCollection<Model> Data1 { get; set; }


    }
    
}
